const redis = require('async-redis');
const logger = require('tracer').console();

class RedisClient {

    constructor(redis_conf) {
        this.init(redis_conf);
    }

    init(redis_conf) {
        this.client = redis.createClient(redis_conf.port, redis_conf.host);
        this.client.on("error", err => logger.error(err));
        this.client.on("connect", () => logger.log("redis service connected " + this.client.address));
    }

    /**
     * redis 静态单例
     */
    static getInstance(redis_conf) {
        if (!RedisClient.instance) {
            RedisClient.instance = new RedisClient(redis_conf);
        }
        return RedisClient.instance.client;
    }
}
module.exports = RedisClient;




